//@author: antokhio
//@help: template for compute shaders
//@tags: CS, template
//@credits: 

//StructuredBuffer<float4> color <bool color=true;>;

struct MyOutput {
	float4 col1;
	float4 col2;
};

Texture2D tex0;
SamplerState s0:IMMUTABLE {Filter=MIN_MAG_MIP_LINEAR;AddressU=CLAMP;AddressV=CLAMP;};

RWTexture2DArray<float4> Output : BACKBUFFER;



float2 R;

[numthreads(8, 8, 1)]
void CS( uint3 tid : SV_DispatchThreadID )
{
	uint idx = tid.x + tid.y * R.x;
	float2 uv = float2 ( tid.x / R.x , tid.y / R.y);
	float4 col = tex0.SampleLevel(s0, uv, 0);
	
	uint3 i0 = uint3(tid.xy, 0);
	uint3 i1 = uint3(tid.xy, 1);
	
	Output[i0] = col;
	Output[i1] = 1 - col;
}


technique11 Template
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}




