//@author: antokhio
//@help: template for compute shaders
//@tags: CS, template
//@credits: 

//StructuredBuffer<float4> color <bool color=true;>;

Texture2D tex0;
SamplerState s0:IMMUTABLE {Filter=MIN_MAG_MIP_LINEAR;AddressU=CLAMP;AddressV=CLAMP;};

RWTexture2D<float4> Output : SV_Target0;
RWTexture2D<float4> Output1 : SV_Target1;


float2 R;

[numthreads(8, 8, 1)]
void CS( uint3 tid : SV_DispatchThreadID )
{
	uint idx = tid.x + tid.y * R.x;
	float2 uv = float2 ( tid.x / R.x , tid.y / R.y);
	float4 col = tex0.SampleLevel(s0, uv, 0);
	
	
	Output[tid.xy] = col;
	Output1[tid.xy] = 1 - col;
}


technique11 Template
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}




